(() => {
  var __require = /* @__PURE__ */ ((x) => typeof require !== "undefined" ? require : typeof Proxy !== "undefined" ? new Proxy(x, {
    get: (a, b) => (typeof require !== "undefined" ? require : a)[b]
  }) : x)(function(x) {
    if (typeof require !== "undefined")
      return require.apply(this, arguments);
    throw new Error('Dynamic require of "' + x + '" is not supported');
  });

  // src/shared/preload.ts
  var import_electron = __require("electron");
  import_electron.contextBridge.exposeInMainWorld("api", {
    platform: process.platform,
    main: {
      ready: () => import_electron.ipcRenderer.send("main.ready"),
      triggerContextMenu: async (menu, position) => {
        return await import_electron.ipcRenderer.invoke("main.triggerContextMenu", menu, position);
      }
    },
    hostSettings: {
      addRemoteHost: async (options) => await import_electron.ipcRenderer.invoke("hostSettings.addRemoteHost", options),
      createLocalHost: async (options) => await import_electron.ipcRenderer.invoke("hostSettings.createLocalHost", options),
      displayCertificateOfRemoteHost: async (options) => await import_electron.ipcRenderer.invoke("hostSettings.displayCertificateOfRemoteHost", options),
      testRemoteHost: async (options) => await import_electron.ipcRenderer.invoke("hostSettings.testRemoteHost", options),
      delete: async (options) => await import_electron.ipcRenderer.invoke("hostSettings.delete", options),
      getHostCreatorContext: async () => await import_electron.ipcRenderer.invoke("hostSettings.getHostCreatorContext"),
      launchHost: async (options) => void import_electron.ipcRenderer.send("hostSettings.launchHost", options),
      list: async () => await import_electron.ipcRenderer.invoke("hostSettings.list"),
      queryRemoteHosts: async () => await import_electron.ipcRenderer.invoke("hostSettings.queryRemoteHosts"),
      revealLogsDirectory: async (options) => await import_electron.ipcRenderer.invoke("hostSettings.revealLogsDirectory", options),
      revealSettingsDirectory: async (options) => await import_electron.ipcRenderer.invoke("hostSettings.revealSettingsDirectory", options),
      selectPythonInstallation: async () => await import_electron.ipcRenderer.invoke("hostSettings.selectPythonInstallation"),
      setDefault: async (options) => await import_electron.ipcRenderer.invoke("hostSettings.setDefault", options)
    },
    host: {
      ready: async (hostSettingsId) => await import_electron.ipcRenderer.invoke("host.ready", hostSettingsId),
      onMessage: (callback) => void import_electron.ipcRenderer.on("host.message", (_event, message) => {
        callback(message);
      }),
      sendMessage: (hostSettingsId, message) => void import_electron.ipcRenderer.send("host.sendMessage", hostSettingsId, message)
    },
    drafts: {
      create: async (source) => await import_electron.ipcRenderer.invoke("drafts.create", source),
      delete: async (draftEntryId) => await import_electron.ipcRenderer.invoke("drafts.delete", draftEntryId),
      list: async () => await import_electron.ipcRenderer.invoke("drafts.list"),
      openFile: async (filePath) => await import_electron.ipcRenderer.invoke("drafts.openFile", filePath),
      query: async () => await import_electron.ipcRenderer.invoke("drafts.query"),
      revealFile: async (filePath) => await import_electron.ipcRenderer.invoke("drafts.revealFile", filePath),
      setName: async (draftEntryId, name) => await import_electron.ipcRenderer.invoke("drafts.setName", draftEntryId, name),
      write: async (filePath, contents) => await import_electron.ipcRenderer.invoke("drafts.write", filePath, contents),
      watch: async (filePath, callback, onSignalAbort) => {
        let changeListener = (event, changeFilePath, change2) => {
          if (changeFilePath === filePath) {
            callback(change2);
          }
        };
        import_electron.ipcRenderer.on("drafts.change", changeListener);
        let change = await import_electron.ipcRenderer.invoke("drafts.watch", filePath);
        callback(change);
        onSignalAbort(() => {
          import_electron.ipcRenderer.invoke("drafts.watchStop", filePath);
          import_electron.ipcRenderer.off("drafts.change", changeListener);
        });
      },
      watchStop: null
    },
    store: {
      read: async (storeName, key) => await import_electron.ipcRenderer.invoke("store.read", storeName, key),
      readAll: async (storeName) => await import_electron.ipcRenderer.invoke("store.readAll", storeName),
      write: async (storeName, key, value) => await import_electron.ipcRenderer.invoke("store.write", storeName, key, value)
    }
  });
})();
